/* basic reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Segoe UI", sans-serif;
  background-color: #1e1025;
  color: #fff;
  line-height: 1.6;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

a {
  color: inherit;
  text-decoration: none;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem 2rem;
  background: #0c0615;
  background-color: transparent;
  position: sticky;
  top: 0;
  z-index: 1000000000000;
  gap: 100px;
  background-color: #1e1025;
}

.socialMedia {
  display: flex;
  gap: 24px;
  height: 24px;
}

.logo {
  font-weight: bold;
  font-size: 1.5rem;
}

.nav-links {
  display: flex;
  gap: 40px;
}

.hamburger {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  height: 20px;
  cursor: pointer;
}

.hamburger .line {
  width: 30px;
  height: 3px;
  background: #fff;
  border-radius: 2px;
  transition: 0.3s;
}

/* menu */
.hamburger.active .line:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.hamburger.active .line:nth-child(2) {
  opacity: 0;
}

.hamburger.active .line:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* Versión móvil */
@media (max-width: 768px) {
  .nav-links {
    position: absolute;
    top: 70px;
    right: 0;
    width: 100%;
    background-color: #1e1025;
    font-size: 20px;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out;
    margin-top: -15px;
    padding-bottom: 15px;
  }

  .nav-links a {
    margin-top: 6px;
    width: 100%;
    text-align: center;
  }

  .nav-links a:hover {
    width: 100%;
    text-align: center;
    background-color: #391e46;
  }

  .nav-links.open {
    max-height: 200px;
  }

  .hamburger {
    display: flex;
  }

  .navbar {
    justify-content: flex-end;
  }
}

/* HERO AREA */

.hero {
  background-image: url("./assets/hero-background.png");
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  height: 600px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
  position: relative;
  overflow: hidden;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(
    0,
    0,
    0,
    0.285
  ); /* Oscurece un poco para legibilidad del texto */
  z-index: 1;
}

.hero-content {
  position: relative;
  z-index: 2;
  font-family: "Cinzel Decorative", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 45px;
  width: 100%;
  max-width: 1000px;
}

.hero-content h1 {
  font-size: 65px;
  font-weight: bold;
  line-height: 55px;
  margin-bottom: 20px;
  font-weight: bold;

  background: linear-gradient(to right, #888, #fff, #888);
  background-size: 100%;
  background-repeat: no-repeat;
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
}

.width-hero {
  display: flex;
  width: 1100px;
  height: 610px;
  justify-content: space-between;
  align-items: center;
  margin-bottom: -85px;
}

.cta-button {
  background-color: #ffcc4d;
  color: #000;
  padding: 12px 24px;
  text-decoration: none;
  font-weight: bold;
  border-radius: 8px;
  margin-top: 20px;
  display: inline-block;
  transition: background-color 0.3s ease;
  font-size: 20px;
}

.cta-button:hover {
  background-color: #e6b800;
}

.cta-button {
  background: linear-gradient(90deg, #d8a946, #f9e58c, #d1943e);
  color: #1b0e19;
  font-family: "Cinzel Decorative", serif; /* Usa esta o una similar */
  font-size: 1.1rem;
  font-weight: bold;
  text-transform: uppercase;
  padding: 0.75rem 2rem;
  border: none;
  border-radius: 12px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  cursor: pointer;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.cta-button:hover {
  transform: scale(1.05);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}

.hero-img {
  z-index: 1000;
}

@media (max-width: 1125px) {
  .hero {
    background-image: url("./assets/hero-background.png");
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
    height: 1000px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    position: relative;
    overflow: hidden;
    margin-top: -130px;
  }

  .width-hero {
    display: flex;
    flex-direction: column;
    width: 1100px;
    height: 750px;
    justify-content: space-between;
    align-items: center;
    margin-bottom: -10px;
    margin-top: 200px;
  }

  .hero-img {
    margin-top: 50px;
  }
}

/* END HERO AREA */

/* BOOKING BANNER */

.booking-banner {
  width: 100%;
  padding: 40px 20px;
  background: linear-gradient(90deg, #1e1025, #2c1a35);
  display: flex;
  justify-content: center;
  align-items: center;
}

.booking-button {
  background: linear-gradient(90deg, #d8a946, #f9e58c, #d1943e);
  color: #1b0e19;
  font-family: "Cinzel Decorative", serif;
  font-size: 1.5rem; /* Tamaño más grande */
  font-weight: bold;

  padding: 1.5rem 4rem; /* Más padding */
  border: none;
  border-radius: 30px;
  box-shadow: 0 0 15px rgba(255, 225, 100, 0.5);
  cursor: pointer;
  transition: transform 0.2s ease, box-shadow 0.3s ease;
}

.booking-button:hover {
  transform: scale(1.05);
  box-shadow: 0 0 25px rgba(255, 225, 100, 0.7);
}

@media (max-width: 700px) {
  .booking-banner {
    margin-top: 100px;
  }
}
@media (max-width: 520px) {
  .booking-banner {
    margin-top: 150px;
  }
}

/* BOOKING BANER */

/* SCROLL SECTION */
.scroll-section {
  margin-top: 53px;
  height: 710px;
  background-color: #190824;
  display: flex;
  align-items: center;
  padding: 40px 0;
  display: flex;
  justify-content: center;
  width: 100%;
  margin: 0 auto;
}

.scroll-container {
  background-image: url("./assets/papiro.png"); /* Reemplaza con la ruta correcta */
  background-size: cover;
  background-position: center;
  width: 90%;
  max-width: 1160px;
  padding: 60px 40px;
  font-family: "Georgia", serif;
  color: #2c1a00;
  height: 490px;
  /*  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5); */
}

.scroll-title {
  font-family: "Cinzel Decorative", serif;
  font-size: 3rem;
  font-weight: 700;
  text-align: center;
  background: linear-gradient(
    to bottom,
    #6a4000,
    #c19030
  ); /* Degradado marrón a dorado */
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
  letter-spacing: 2px;
  margin-top: 20px;
  letter-spacing: -2px;
}

.scroll-container p {
  font-family: "Dosis", sans-serif;
  font-size: 1.3rem;
  line-height: 1.3;
  margin-bottom: 20px;
  text-align: justify;
  font-weight: 600;
  width: 90%;
  max-width: 968px;
  margin-left: 30px;
}

@media (max-width: 1125px) {
  .scroll-container {
    background-image: url("./assets/papiro.png"); /* Reemplaza con la ruta correcta */
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 550px;
    /*  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5); */
  }
}
/* SCROLL SECTION */

/* SERVICIOS */

.servicios {
  width: 100%;
  max-width: 1125px;
  margin: 0 auto;
  padding-left: 15px;
  padding-right: 15px;
}

.servicios-titulo {
  display: flex;
  flex-direction: column;
  height: 73px;

  width: 278px;
  margin: 0 auto;
  margin-top: 56px;
}

.servicios h2 {
}

#servicios-titulo-h2 {
  font-family: "Cinzel Decorative", serif;

  font-size: 48px;
  font-weight: 700;
  text-align: center;
  background: linear-gradient(
    to right,
    #e7b94b,
    #fceabb,
    #e7b94b
  ); /* Degradado dorado horizontal */
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
  letter-spacing: 0px;
  position: relative;
  display: inline-block;
  padding-bottom: 10px;
  margin-top: -40px;
}

.servicios-container {
  display: flex;
  justify-content: space-between;

  margin-top: 80px;
}

.servicios-container h2 {
  font-family: "Cinzel Decorative", serif;

  font-size: 32px;

  font-weight: 700;
  text-align: center;
  background: linear-gradient(
    to right,
    #e7b94b,
    #fceabb,
    #e7b94b
  ); /* Degradado dorado horizontal */
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
  letter-spacing: 0px;
  position: relative;
  display: inline-block;
  padding-bottom: 10px;
  text-align: center;
  line-height: 40px;
  margin-top: 20px;
}

.servicios-container p {
  width: 100%;
  max-width: 630px;

  text-align: justify;
}

.servicios-texto {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.servicios-texto p {
  font-family: "Dosis", sans-serif;
  font-size: 24px;
  line-height: 1.3;
  margin-top: 20px;
}

.servicios-container img {
  margin-top: -30px;
  width: 450px;
}

#ritualesMobile {
  display: none;
}

@media (max-width: 1125px) {
  .servicios-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    margin-top: 80px;
  }

  .divCartaServicios {
    display: block;
    margin-top: 40px;
    display: flex;
    justify-content: center;
  }

  #ritualesMobile {
    display: block;
    margin: 0 auto;
    justify-content: center;
    margin-top: 50px;
  }

  #ritualesDesktop {
    display: none;
  }
}

/* SERVICIOS */

/* SERVICIOS-GRID */

.servicios-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 2rem;
  background-color: #1e1025; /* Fondo morado oscuro */
  padding: 4rem 2rem;
  text-align: center;
  color: #f3e6c8; /* Texto claro */
  width: 100%;
  max-width: 1125px;
  margin: 0 auto;
}

.servicio img {
  width: 120px;
  margin-bottom: 1rem;
}

.servicio h3 {
  font-family: "Cinzel Decorative", serif;
  font-size: 20px;
  color: #e7d37f;
  margin-bottom: 0.8rem;
  font-weight: 700;
  letter-spacing: 0.5px;
}

#destino {
  margin-top: 16px;
}

#bloqueos {
  margin-top: -4px;
}

.servicio p {
  font-family: "dosis", sans-serif;
  font-size: 24px;
  line-height: 1.6;
  color: #eee;
}

#lectura-general {
  margin-top: 41px;
}

#lectura-amor {
  margin-top: 74px;
}

#lectura-destino {
  margin-top: 40px;
}

@media (max-width: 1125px) {
  .servicios-grid {
    display: flex;
    flex-direction: column;
    background-color: #1e1025; /* Fondo morado oscuro */
    padding: 4rem 2rem;
    text-align: center;
    color: #f3e6c8; /* Texto claro */
    width: 100%;
    max-width: 1125px;
    margin: 0 auto;
  }

  #lectura-general {
    margin-top: 41px;
    width: 100%;

    max-width: 500px;
    margin: 0 auto;
  }
  #lectura-amor {
    margin-top: 74px;
    width: 100%;

    max-width: 500px;
    margin: 0 auto;
  }
  #lectura-destino {
    margin-top: 40px;
    width: 100%;

    max-width: 500px;
    margin: 0 auto;
  }
  #lectura-bloqueos {
    width: 100%;

    max-width: 500px;
    margin: 0 auto;
  }
}

/* SECCION ICONOS */

#imgIcon {
  display: flex;
  width: 200px;

  margin-top: 50px !important;

  margin: 0 auto;
}

.servicios-icon {
  width: 100%;
  max-width: 1100px;
}

.servicios-icon p {
  width: 100%;
  max-width: 800px;
}

#imgllamaMobile {
  display: none;
}

#imgVeloMobile {
  display: none;
}

@media (max-width: 1125px) {
  #imgllamaDesktop {
    display: none;
  }

  #imgllamaMobile {
    display: block;
  }

  #imgVeloDesktop {
    display: none;
  }

  #imgVeloMobile {
    display: block;
  }
}

/* FOOTER */
footer p {
  color: white;
  margin-top: 150px;
  text-align: center;
  font-size: 24px;
  margin-bottom: 50px;
  font-weight: lighter;
  opacity: 0.7;
}

/* FOOTER */

/* MEDIA QIERY GENERAL */

@media (max-width: 900px) {
  .scroll-container {
    background-image: url("./assets/papiro.png");
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 600px;
  }

  .servicios-texto {
    width: 100%;
    max-width: 650px;
    margin: 0 auto;
  }
}

@media (max-width: 900px) {
  .scroll-container {
    background-image: url("./assets/papiro.png");
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 650px;
  }

  .servicios-texto {
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
  }
}

@media (max-width: 700px) {
  .scroll-container {
    background-image: url("./assets/papiro.png");
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 700px;
    margin-top: 100px;
  }

  .servicios-texto {
    width: 100%;
    max-width: 550px;
    margin: 0 auto;
  }
}

@media (max-width: 620px) {
  .scroll-container {
    background-image: url("./assets/papiro.png");
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 750px;
    padding-top: 80px;
    margin-bottom: 50px;
  }

  .servicios-texto {
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
  }
}

@media (max-width: 580px) {
  .scroll-container {
    background-image: url("./assets/papiro.png");
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 800px;
    padding-top: 80px;
  }

  .servicios-texto {
    width: 100%;
    max-width: 450px;
    margin: 0 auto;
  }

  .hero-content h1 {
    font-size: 55px;
  }
}

@media (max-width: 550px) {
  .scroll-container {
    background-image: url("./assets/papiro.png");
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 900px;
    padding-top: 80px;
    margin-top: 200px;
  }

  .servicios-texto {
    width: 100%;
    max-width: 450px;
    margin: 0 auto;
  }

  .hero-img img {
    width: 500px;
    margin-bottom: -50px;
  }

  @media (max-width: 540px) {
    .hero-content h1 {
      font-size: 45px;
    }

    .hero-content a {
      width: 250px;
    }

    .hero {
      height: 900px;
    }

    .hero-img img {
      width: 500px;
      margin-bottom: 0px;
    }

    .scroll-container {
      background-image: url("./assets/papiro.png");
      background-size: cover;
      background-position: center;
      width: 90%;
      max-width: 1160px;
      padding: 60px 40px;
      font-family: "Georgia", serif;
      color: #2c1a00;
      height: 900px;
      padding-top: 100px;
      padding-bottom: 300px;
      margin-top: 250px;
    }

    .servicios-texto {
      width: 100%;
      max-width: 350px;
      margin: 0 auto;
    }

    .divCartaServicios img {
      width: 100%;
      max-width: 300px;
    }

    #servicios {
      margin-top: 0px;
    }
  }
}

@media (max-width: 540px) {
  .scroll-section {
    height: 1000px;
  }
  .scroll-container {
    background-image: url("./assets/papiro.png");
    background-size: cover;
    background-position: center;
    width: 90%;
    max-width: 1160px;
    padding: 60px 40px;
    font-family: "Georgia", serif;
    color: #2c1a00;
    height: 1150px;
    padding-top: 100px;
    padding-bottom: 300px;
    margin-top: 20px;
    margin-bottom: -100px;
  }

  #booking-bannerHome {
    margin: 0;
    margin-top: 60px;
  }
}

@media (max-width: 540px) {
  .scroll-section {
    height: 1200px;
  }

  .scroll-section p {
    width: 100%;

    margin-left: 0px;
  }
  .scroll-container {
    width: 95%;
  }
}

@media (max-width: 435px) {
  .hero-img img {
    width: 100%;
    max-width: 450px;
  }
}

@media (max-width: 390px) {
  .scroll-container {
    margin-top: 0px;
  }
  .hero-content h1 {
    font-size: 40px;
    margin-top: 100px;
    font-weight: bold;
    line-height: 35px;
    margin-bottom: 20px;
    font-weight: bold;

    background: linear-gradient(to right, #888, #fff, #888);
    background-size: 100%;
    background-repeat: no-repeat;
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
  }

  .hero-img img {
    width: 500px;
  }

  .hero-content a {
    width: 100%;
    max-width: 300px;
  }
}

/* BOTON WHATSAPP */

.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 9999;
  width: 75px;
  height: 75px;
  transition: transform 0.3s ease;
}

.whatsapp-float img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border-radius: 50%;
}

.whatsapp-float:hover {
  transform: scale(1.15);
}

@media (max-width: 480px) {
  .whatsapp-float {
    width: 75px;
    height: 75px;
    bottom: 15px;
    right: 15px;
  }
}
